<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: DTS_SI5344_Control Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DTS_SI5344_Control Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DTS_SI5344_Control:</div>
<div class="dyncontent">
<div class="center"><img src="classDTS__SI5344__Control__inherit__graph.png" border="0" usemap="#DTS__SI5344__Control_inherit__map" alt="Inheritance graph"/></div>
<map name="DTS__SI5344__Control_inherit__map" id="DTS__SI5344__Control_inherit__map">
<area shape="rect" id="node4" href="classDTS.html" title="DTS" alt="" coords="140,155,191,181"/><area shape="rect" id="node2" href="classI2C__reg__master.html" title="work.I2C_reg_master" alt="" coords="5,5,163,32"/><area shape="rect" id="node3" href="classcounter.html" title="work.counter(2)" alt="" coords="187,5,307,32"/><area shape="rect" id="node5" href="classWIB.html" title="WIB" alt="" coords="141,229,189,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDTS__SI5344__Control-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDTS__SI5344__Control_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a7eabdd0de42479b7143d848e595e470c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eabdd0de42479b7143d848e595e470c"></a>
<a class="el" href="classDTS__SI5344__Control.html#a7eabdd0de42479b7143d848e595e470c">DTS_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDTS__IO.html"> &lt;DTS_IO&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa61576f79957fdff319b54223ae52408"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa61576f79957fdff319b54223ae52408"></a>
<a class="el" href="classDTS__SI5344__Control.html#aa61576f79957fdff319b54223ae52408">clk_sys_50Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classDTS__SI5344__Control.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af500af7d4082921bf9940f624fe4e653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af500af7d4082921bf9940f624fe4e653"></a>
<a class="el" href="classDTS__SI5344__Control.html#af500af7d4082921bf9940f624fe4e653">clk_DTS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6c6e5d7110d4fe10875c7efe248c3c0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c6e5d7110d4fe10875c7efe248c3c0e"></a>
<a class="el" href="classDTS__SI5344__Control.html#a6c6e5d7110d4fe10875c7efe248c3c0e">reset_DTS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5f7f88528b5ce8571d19d00b7f194fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5f7f88528b5ce8571d19d00b7f194fd"></a>
<a class="el" href="classDTS__SI5344__Control.html#ae5f7f88528b5ce8571d19d00b7f194fd">SI5344_RST_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92296a20f0db7eb54b0a4d65848b30f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92296a20f0db7eb54b0a4d65848b30f4"></a>
<a class="el" href="classDTS__SI5344__Control.html#a92296a20f0db7eb54b0a4d65848b30f4">SI5344_IN_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a843b4f9604d14a1af2fa7c56394a4cef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a843b4f9604d14a1af2fa7c56394a4cef"></a>
<a class="el" href="classDTS__SI5344__Control.html#a843b4f9604d14a1af2fa7c56394a4cef">SI5344_OE_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4dc734dee5efca1670ff1ccf88f448c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4dc734dee5efca1670ff1ccf88f448c9"></a>
<a class="el" href="classDTS__SI5344__Control.html#a4dc734dee5efca1670ff1ccf88f448c9">SI5344_LOL_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9f0672ae1e7fe740fb574b6c9e6b497"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9f0672ae1e7fe740fb574b6c9e6b497"></a>
<a class="el" href="classDTS__SI5344__Control.html#ac9f0672ae1e7fe740fb574b6c9e6b497">SI5344_LOS_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade14e1ea36e5fd11e241493d48c0671d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade14e1ea36e5fd11e241493d48c0671d"></a>
<a class="el" href="classDTS__SI5344__Control.html#ade14e1ea36e5fd11e241493d48c0671d">SI5344_INT_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3fb7a7a58504f94bcd92b16c653e23a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3fb7a7a58504f94bcd92b16c653e23a"></a>
<a class="el" href="classDTS__SI5344__Control.html#ae3fb7a7a58504f94bcd92b16c653e23a">DTS_SI5344_SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a683998dc0809eb37cb6144f13ea2a147"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a683998dc0809eb37cb6144f13ea2a147"></a>
<a class="el" href="classDTS__SI5344__Control.html#a683998dc0809eb37cb6144f13ea2a147">DTS_SI5344_SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a82ba3eaa273c9acf5faf07f713a864fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82ba3eaa273c9acf5faf07f713a864fa"></a>
<a class="el" href="classDTS__SI5344__Control.html#a82ba3eaa273c9acf5faf07f713a864fa">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_SI5344_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa17cbcb1523b3425c17337bb07674f1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa17cbcb1523b3425c17337bb07674f1d"></a>
<a class="el" href="classDTS__SI5344__Control.html#aa17cbcb1523b3425c17337bb07674f1d">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_SI5344_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS__SI5344__Control_8vhd_source.html#l00005">5</a> of file <a class="el" href="DTS__SI5344__Control_8vhd_source.html">DTS_SI5344_Control.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/<a class="el" href="DTS__SI5344__Control_8vhd_source.html">DTS_SI5344_Control.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
